11.5. updateOrganizationApplication
この組織のアプリケーションを更新します。
PUT /api/v1/organization/{orgname}/applications/{client_id}
認可: oauth2_implicit (org:admin)
パスパラメーター
| 型 | 名前 | 説明 | スキーマ |
|---|---|---|---|
| path |
client_id | OAuth クライアント ID | string |
| path |
orgname | 組織の名前 | string |
要求の body スキーマ (application/json)
更新アプリケーションの説明。
| 名前 | 説明 | スキーマ |
|---|---|---|
|
name | アプリケーションの名前 | string |
|
redirect_uri | アプリケーションの OAuth リダイレクトの URI | string |
|
application_uri | アプリケーションのホームページの URI | string |
|
description | アプリケーションの人間が判読できる説明 | string |
|
avatar_email | アプリケーションに使用するアバターのメールアドレス | string |
レスポンス
| HTTP コード | 説明 | スキーマ |
|---|---|---|
| 200 | 正常な呼び出し | |
| 400 | Bad Request (不適切な要求) | |
| 401 | セッションが必要 | |
| 403 | 不正アクセス | |
| 404 | 見つからない |
コマンドの例
$ curl -X PUT "https://quay-server.example.com/api/v1/organization/test/applications/12345" \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"name": "Updated Application Name",
"redirect_uri": "https://example.com/oauth/callback",
"application_uri": "https://example.com",
"description": "Updated description for the application",
"avatar_email": "avatar@example.com"
}'